DirtyCow

DirtyCow

Patched Kernel Versions
Thiago Benvenuto edited this page 8 days ago · 6 revisions
Pages 5
Home
Check if your system is vulnerable
Patched Kernel Versions
PoCs
VulnerabilityDetails
Clone this wiki locally

https://github.com/dirtycow/dirtycow.github.io.wiki.git

Check your kernel version with uname -r

Ubuntu

4.8.0-26.28 for Ubuntu 16.10
4.4.0-45.66 for Ubuntu 16.04 LTS
3.13.0-100.147 for Ubuntu 14.04 LTS
3.2.0-113.155 for Ubuntu 12.04 LTS
Debian

3.16.36-1+deb8u2 for Debian 8
3.2.82-1 for Debian 7
4.7.8-1 for Debian unstable
Arch

4.4.26-1 for ArchLinux (linux-lts package)
4.8.3 for ArchLinux (linux package)
RHEL/Centos

Instructions for patching RHEL/Centos 6.x can be found here

Gentoo

Bug: https://bugs.gentoo.org/show_bug.cgi?id=597624

sys-kernel/gentoo-sources-4.1.35
sys-kernel/gentoo-sources-4.8.x – TBD
sys-kernel/gentoo-sources-3.x.x – TBD
Others

If you must stay in kernel 3.19 family, version 3.19.0-73.81 is a patched version and available for Ubuntu 14.04 from official repos. (update via dist-upgrade)
Contact GitHub API Training Shop Blog About

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s